﻿Imports Telerik.Windows.Controls

Partial Public Class MainWindow
    Inherits Window

    Public Sub New()
        InitializeComponent()
        Me.DataContext = New ViewModel()
    End Sub

    Private changingUser As Boolean = False

    Private Sub RadMultiColumnComboBox_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangeEventArgs)
        Try
            If e.AddedItems.Count = 0 AndAlso e.RemovedItems.Count = 0 Then Return
        Catch ex As Exception
        Finally
            e.Handled = True
        End Try
    End Sub

    Private Sub Grid_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangeEventArgs)
        Dim grid = TryCast(sender, RadGridView)

        Try
            RoleBox.SelectedItems.SuspendNotifications()
            RoleBox.SelectedItems.Clear()

            For Each item In grid.SelectedItems
                RoleBox.SelectedItems.Add(item)
            Next

        Catch ex As Exception
        Finally
            RoleBox.SelectedItems.ResumeNotifications()
        End Try
    End Sub
End Class
